# dask.array.iscomplex

dask.array.iscomplex(*args, **kwargs)

  Returns a bool array, where True if input element is complex.

  This docstring was copied from numpy.iscomplex.

  Some inconsistencies with the Dask version may exist.

  What is tested is whether the input has a non-zero imaginary part, not if the input type is complex.

  Parameters:
    x array_like (Not supported in Dask)

      Input array.

  Returns:
    out ndarray of bools

      Output array.

  See also

  `isreal`
  `iscomplexobj`

    Return True if x is a complex type or an array of complex numbers.

  Examples

      >>> import numpy as np
      >>> np.iscomplex([1+1j, 1+0j, 4.5, 3, 2, 2j])
      array([ True, False, False, False, False,  True])